Ticket #33616

UI Automation 対応の有効無効の切り替え

Open Date: 2014-03-31 15:16 Last Update: 2014-05-16 19:57

Reporter: nishimoto Owner: nishimoto
Type: Feature Requests Status: Closed
Component: コア機能 MileStone: 2014.2jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

NVDA は Windows 7 以降で UI Automation (UIA) に対応しており、Adobe Digital Edition などのアプリケーションが UIA 対応を必要としています。

一方で、特に日本語環境において UIA はいろいろなアプリケーションのクラッシュの原因となっています。

問い合わせ対応などでは nvda.ini の非公式オプションで無効化することが、問題の切り分けに役立ってきました。

そこであらためて 2014.2jp にて UIA の無効化、有効化を NVDA メニューから切り替えられるようにしてはどうかと考えています。

これは再起動を必要とする設定なので、実装においては、設定プロファイルの切替の影響を受けないようにする必要があります。

また、 UIA を無効にすることで不具合が生じる操作やアプリケーションについても可能な限り情報提供をして、特定のアプリケーションを特定の状況で動かすためにのみ、この切り替え機能を使ってもらうように、注意喚起をするべきと思います。

未解決の関連チケット #33037 Voice Popper 3.12 が Windows 8.1 64ビット環境でクラッシュする

解決した関連チケットの例 #30703 デスクトップ版Skype 6がWindows8でフリーズする

Attachment File List

No attachments

Ticket History (3/6 Histories)

2014-03-31 15:16 Updated by: nishimoto
  • New Ticket "UI Automation 対応の有効無効の切り替え" created
2014-04-28 19:18 Updated by: nishimoto
Comment

開発スナップショット jpbeta140428

https://dl.dropboxusercontent.com/u/62564469/nvda_jpbeta140428.exe

NVDA メニュー 設定「日本語設定」に「UIAの有効化(再起動が必要)」という項目を追加しました。

この項目は設定プロファイルの影響を受けないようにしています。

作業ブランチ:

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
 * [new branch]      ti33616 -> ti33616
2014-05-02 12:23 Updated by: nishimoto
  • Owner Update from (None) to nishimoto
  • Resolution Update from None to Fixed
  • Component Update from (None) to コア機能
2014-05-11 22:28 Updated by: nishimoto
  • Ticket Close date is changed to 2014-05-11 22:28
  • Status Update from Open to Closed
Comment

このチケットは完了としてクローズします。

2014-05-16 08:53 Updated by: nishimoto
Comment

このチケットをすでにクローズしたのですが、日本語版で独自に拡張した項目をわかりやすくするために一か所に固める、というのが現在の方針です。

しかし、ユーザーガイドの設定プロファイルの説明(「一般設定」の項目は設定プロファイルで変更できない)との整合性を考えると、

NVDA メニュー 設定「日本語設定」「UIAの有効化(再起動が必要)」

よりも

NVDA メニュー 設定「一般設定」「UIAの有効化(再起動が必要)」

のほうがよいかも知れません。

2014-05-16 19:57 Updated by: nishimoto
Comment

2014.2jp-beta で以下の変更を行います。

  • 「UIAの有効化」を「一般設定」の最後に移動
  • 項目名を「UIオートメーションの有効化(設定を有効にするには再起動が必要)」に変更

「NVDA日本語版の説明」を下記のように変更

++ 一般設定 ++

+++ UIオートメーションの有効化 +++

NVDA は Windows 7 以降で UI オートメーション(UIA) を使用します。
NVDA 日本語版では UI オートメーション対応の無効化、有効化の設定を追加しています。
一部のソフトウェアにおける不具合は UI オートメーションを無効にすることで回避できます。
しかし UI オートメーション対応を無効にすると操作できなくなるソフトウェアもあります。
このオプションの変更はNVDAを再起動したときに反映されます。
設定プロファイルではこのオプションを制御できません。また Windows XP および Vista ではこの設定に関わらず UI オートメーションは無効になります。

Edit

Please login to add comment to this ticket » Login